Get delegation pathway
curl --request GET \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/pathway \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/pathway"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/decision/v1/delegations/{delegationId}/pathway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.693Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 100,
"data": [
{
"id": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"issuerType": "ROOT_AUTHORITY",
"recipientType": "PERSONNEL_IN_POSITION",
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"issuedDate": "2025-01-01T12:00:00Z",
"acceptedDate": "2025-01-01T12:00:00Z",
"effectiveDate": "2025-01-01T12:00:00Z",
"delegationDisplayId": "12789",
"link": "/delegations/view/eyJ0ZW5hbnRJZCI6IjEwNWZhMTE1LTUyZDAtNDQ2Ni1iYWZmLTc0MDQ0N2E2MDc3NCIsImRlbGVnYXRpb25JZCI6IjMwOGNiMzMxLWYwMTgtNGJjNS1hMWE3LTQ1MTI4NTU4MTg0MyJ9",
"status": "DRAFT",
"isRootDelegation": false,
"issuerUserId": "648fa115-52d0-4466-baff-740447a60774",
"issuerPositionId": "257fa115-52d0-4466-baff-740447a60774",
"recipientAutoIssue": false,
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"expirationDate": "2025-12-31T12:00:00Z",
"isNoExpiration": false,
"updatedAt": "2025-01-01T12:00:00Z",
"copiedFrom": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"delegationPathway": [],
"delegationRecipients": [],
"delegationGroups": [],
"delegationAuthorities": [],
"delegationDocuments": [],
"delegationId": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"sourceDecision": {
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"decisionDisplayId": "14623",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments",
"guidance": "Investment decisions for long-term, strategic investments...",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "248fa115-52d0-4466-baff-740447a60774"
},
"isInvalid": false,
"invalidFields": [
"delegationGroups",
"delegationAuthorities"
],
"actionIssuerApproval": true,
"actionDelegationAcceptance": true,
"actionAuthorityRequest": true,
"approvalActionExistForUser": true,
"acceptanceActionExistForUser": true
}
]
}
}Delegations
Get delegation pathway
GET
/
v1
/
delegations
/
{delegationId}
/
pathway
Get delegation pathway
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
āI